Xerces2 Implementation: Class IDDV

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.xs
Class IDDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.IDDV

public class IDDV
extends TypeValidator

Represent the schema type "ID"

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: IDDV.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc., Sandy Gao, IBM

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`IDDV()`

Method Summary
`void` | `checkExtraRules(java.lang.Object value, ValidationContext context)`
`java.lang.Object` | `getActualValue(java.lang.String content, ValidationContext context)`
`short` | `getAllowedFacets()`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`compare, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit, isIdentical`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDDV

    public IDDV()

Method Detail

### getAllowedFacets

    public short getAllowedFacets()

  Overrides:
    `getAllowedFacets` in class `TypeValidator`

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### checkExtraRules

    public void checkExtraRules(java.lang.Object value,
                                ValidationContext context)
                         throws InvalidDatatypeValueException

  Overrides:
    `checkExtraRules` in class `TypeValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2018 The Apache Software Foundation. All Rights Reserved.